function [x]= alg35_matriz_simetrica.m(A,b)
% Efolio-B - Andreia Romao 1702430
% Algoritmo 3.5 (do manual)- Metodo de Gauss - Matriz Simetrica

n=size(A,1);
B=[A b'];
x=zeros(n,1);

% transformar em triangular superior
for k=1:n-1
   px=B(k,k);       % pivot
   % elimina abaixo da diagonal
   for i=k+1:n
      mu=B(k,i)/px;
      B(i,i:end)=B(i,i:end)-mu*B(k,i:end);
      B(i,k)=0;
   end
end

% resolver por substituição inversa Ux=y, B=[U y]
x(n)=B(n,end)/B(n,n);
for i=n-1:-1:1
   x(i)=( B(i,end)-B(i,i+1:n)*x(i+1:n) )/B(i,i);
end
% EOF

