% Efolio-B - Andreia Romao 1702430
% Questão 1.5

% Resolve o sistema Ax = b
% para n = 5, 10 e 20, em que a matriz A e gerada pela funcao penta_diag() e
% o vetor b e' definido por bi = 1 para i = {1, n} e zero caso contrario.

%limpeza das variaveis para garantir que nao estao em memória
clear all;

% Gerar a Matriz penta_diag
% Chamada da funcao  penta_diag() e criacao da matriz penta_diag
n = [5, 10, 20];

% Inicializacao das variaveis auxiliares
i=0;
k=0;
j=0;

for k = 1:3
  j=n(k);
  A = penta_diag(j);
  for i=1:j
    if ((i==j) || (i==1))
      b(i)=1;
    else
      b(i)=0;
    endif
  endfor

% inicializacao das diagonais para a função
h=-2* ones (1, j);
%garantir que as duas primeiras posicoes do vetor sao zeros
h(1)=0;
h(2)=0;
%
l=-1* ones(1, j);
%garantir que a primeira posicao do vetor e zeros
l(1)=0;
%
d=6* ones(1, j);
%inverter vetor
u=fliplr(l);
v=fliplr(h);
%

disp("N")
disp(j)
%testes com elim_gausspsim
disp("Resultado da função elim_gausspsim")
x1=elim_gausspsim(d,u,v,b)

%testes com elim_gausspenta
disp("Resultado da função elim_gausspenta")
x2=elim_gausspenta(h,l,d,u,v,b)

disp("Diferença entre as normas")
normv_inf((elim_gausspsim(d,u,v,b))'-(elim_gausspenta(h,l,d,u,v,b))')

%limpeza das variaveis para garantir que nao estao em memória
clear A
clear b
clear h
clear l
clear d
clear u
clear v
endfor
% EOF

